package examples.servletserver;

import java.io.*;

public class FileServlet extends HttpServlet {

  public FileServlet() {
  }

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse resp) {
    java.io.PrintWriter writer = resp.getWriter();
    String path = req.getParameter("path");
    if (path == null)
      return;
    
    // we really should be more clever
    if (path.endsWith(".html")) 
      resp.setContentType("text/html");
    else
      resp.setContentType("text/text");
    
    try {
      BufferedReader in = null;
      String servlet    = null;
      java.util.Map<String,String> parameters = null;
      
      in = new BufferedReader(
            new InputStreamReader(
              new FileInputStream(path)));
          
      while (true) {
        String line = in.readLine();
        if (line==null)         break; // end of file
        writer.println(line);
      }
    } catch (IOException ioe) {
      System.err.println(ioe.getMessage());
    }
  }

}
