package examples.servletserver;

public abstract class HttpServlet {
  
  private static java.util.Map<String,HttpServlet> servlets = new java.util.TreeMap<String,HttpServlet>();
  
  static HttpServlet getInstance(String class_name) {
    HttpServlet servlet = servlets.get(class_name);
    if (servlet != null)
      return servlet;
    
    try {
      java.lang.reflect.Constructor constructor = Class.forName(class_name).getConstructor(new Class[] { });
      servlet = (HttpServlet) constructor.newInstance(new Object[] {  });
    } catch (Exception e) {
      return null;
    }
    
    servlets.put(class_name,servlet);
    return servlet;
    
  }
   
  protected HttpServlet() {
    
  }

  protected abstract void doGet(HttpServletRequest req, HttpServletResponse resp); 
  
}
