package examples.servletserver;

import java.io.PrintWriter;
import java.util.Set;

public class ServletInvocation 
  implements HttpServletRequest, HttpServletResponse {
  
  private java.util.Map<String,String> parameters;
  private PrintWriter                  writer;
  
  public ServletInvocation(java.util.Map<String,String> parameters,
                           PrintWriter writer) {
    this.parameters = parameters;
    this.writer     = writer;
  }

  public String getParameter(String name) {
    return parameters.get(name);
  }

  public Set<String> getParameterNames() {
    return parameters.keySet();
  }

  public PrintWriter getWriter() {
    return writer;
  }

  public void setContentType(String type) {
    writer.print("HTTP/1.1 200\r\n");
    writer.print("Content-Type: "+type+"\r\n");
    writer.print("Connection: close\r\n");
    writer.print("\r\n"); // end of header
  }

}
