package examples.servletserver;

import java.net.*;
import java.io.*;

public class TrivialHttpServer {
  public static void main(String[] arguments) {
    int port = 8888;
    
    ServerSocket server_socket = null; // dummy initialization
    try {
      server_socket = new ServerSocket(port);
    } catch (IOException ioe) {
      System.out.println("Failed to bind to port "+port+": "+ioe.getMessage());
      System.exit(1);
    }
    
    while (true) {
      Socket connection_socket = null;
      try {
        connection_socket = server_socket.accept(); 
      } catch (IOException ioe) {
        System.out.println("Accept failed: "+ioe.getMessage());
        System.exit(1);
      }
    
      BufferedReader in = null;
    
      try {
        in = new BufferedReader(
                              new InputStreamReader(connection_socket.getInputStream()));
        String line;
        
        while (true) {
          line = in.readLine();
          if (line==null)         break;
          if (line.length() == 0) break;
          System.out.println(line);
        }
      } catch (IOException ioe) {
        System.out.println("Could not read the request: "+ioe.getMessage());
        System.exit(1);
      }
      
      PrintWriter out = null;
      try {
        out = new PrintWriter(connection_socket.getOutputStream());
        
        out.print("HTTP/1.1 200\r\n");
        out.print("Content-Type: text/plain\r\n");
        out.print("Connection: close\r\n");
        out.print("\r\n"); // end of header
        out.print("This server is barely functional!\n");
        out.print(new java.util.Date()+"\n");
      } catch (IOException ioe) {
        System.out.println("Could not send the output: "+ioe.getMessage());
        System.exit(1);
      }
      
      try {
        out.close();
        in.close();
        connection_socket.close();
      } catch (IOException ioe) {
        // who cares?
      }
    }
  }
}
